| Home · All Classes · All Namespaces · Modules · Functions · Files

# ChannelFactory Class Reference

`#include <TelepathyQt4/channel-factory.h>`

List of all members.

## Static Public Member Functions

- static ChannelPtr create (const ConnectionPtr &connection, const QString &channelPath, const QVariantMap &immutableProperties)

## Member Function Documentation

ChannelPtr create | ( | const ConnectionPtr & | connection,
|  | const QString & | channelPath,
|  | const QVariantMap & | immutableProperties |
| ) |  |  | `[static]`